* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

.features-section {
  padding: 100px 40px;
  min-height: 90vh;
  background: #fff;
}

.features-title {
  text-align: center;
  font-size: 50px;
  color: #65319E;
  margin-bottom: 40px;
}

.features-canvas {
  position: relative;
  max-width: 900px;
  margin: auto;
}

.laptop-image {
  width: 100%;
  display: block;
}

.features-overlay {
  position: absolute;
  top: 30%;
  left: 50%;
  transform: translateX(-50%);
  width: 70%;
  height: 22vh;
  display: flex;
  justify-content: space-between;
  gap: 15px;
  overflow: visible;
}

.feature-box {
  padding: 40px 10px;
  border-radius: 12px;
  text-align: center;
  flex: 1;
  color: #fff;
  position: relative;
  z-index: 1;
  transition: all 0.4s ease-in-out;
}

.feature-box.active {
  transform: translateY(-6px);
  background-color: #d9d6dd;
  color: #65319E;
  box-shadow: 
    0 20px 40px rgba(0, 0, 0, 0.35),
    0 10px 20px rgba(0, 0, 0, 0.25);
}

.feature-box .icon {
  margin-bottom: 18px;
  display: flex;
  justify-content: center;
}

.feature-box .icon svg {
  width: 46px;
  height: 46px;
  stroke: #ffffff;
  transition: all 0.4s ease-in-out;
  filter: drop-shadow(0 8px 16px rgba(0,0,0,0.25));
}

.feature-box.active .icon svg {
  stroke: #65319E;
  transform: scale(1.1);
  filter: drop-shadow(0 12px 25px rgba(0,0,0,0.4));
}

.feature-box p {
  font-family: 'Poppins', sans-serif;
  font-size: 14px;
  line-height: 1.4;
}

.tablet-image,
.mobile-image {
  display: none;
}


@media (max-width: 768px) {

  .laptop-image {
    display: none;
  }

  .tablet-image {
    display: block;
    width: 50%;
    margin: 0 auto;
  }

  .features-overlay {
    position: absolute;
    top: 16%;
    left: 50%;
    transform: translateX(-50%);
    width: 35%;
    height: auto;
    flex-direction: column;
    gap: 22px;
  }

  .feature-box {
    padding: 15px 0px;
    width: 100%;
  }

  .feature-box .icon{
    margin-bottom: 5px;
  }

  .feature-box .icon svg {
    width: 32px;
    height: 32px;
  }

  .feature-box p {
    font-size: 12px;
  }

}

@media (max-width: 468px) {

  .tablet-image {
    display: none;
  }

  .mobile-image {
    display: block;
  }

  .features-overlay {
    top: 17%;
    width: 60%;
    gap: 50px;
  }

  .features-title {
    font-size: 32px;
  }

}

@media (max-width: 320px) {
  .features-overlay {
    top: 12%;
    width: 60%;
    gap: 25px;
  }
}

